---
title: HTMLHyperlinkElementUtils.toString()
slug: Web/API/HTMLHyperlinkElementUtils/toString
tags:
  - API
  - Experimental
  - HTMLHyperlinkElementUtils
  - Location
  - Method
  - Stringifier
  - URL API
---
<p>{{ApiRef("URL API")}}</p>

<p>The <strong><code>HTMLHyperlinkElementUtils.toString()</code></strong> stringifier method returns a {{domxref("USVString")}} containing the whole URL. It is a read-only version of {{domxref("HTMLHyperlinkElementUtils.href")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>string</em> = <em>object</em>.toString();</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">// Let's imagine an &lt;a id="myAnchor" href="/en-US/docs/HTMLHyperlinkElementUtils/toString"&gt; element is in the document
var anchor = document.getElementById("myAnchor");
var result = anchor.toString(); // Returns: 'https://developer.mozilla.org/en-US/docs/HTMLHyperlinkElementUtils/toString'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-hyperlink-href")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLHyperlinkElementUtils.toString")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLHyperlinkElementUtils")}} mixin it belongs to.</li>
</ul>
